# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::MarkInterfaceExtension Class Reference

This is an interface for custom extensions of the MarkInterface. More...

`#include <markinterfaceextension.h>`

List of all members.

## Public Types

enum | MarkChangeAction { MarkAdded = 0, MarkRemoved = 1 }

## Public Member Functions

unsigned int | markInterfaceExtensionNumber () const
virtual void | setPixmap (MarkInterface::MarkTypes, const QPixmap &)=0
virtual void | setDescription (MarkInterface::MarkTypes, const QString &)=0
virtual void | setMarksUserChangable (uint markMask)=0
virtual void | markChanged (KTextEditor::Mark mark, KTextEditor::MarkInterfaceExtension::MarkChangeAction action)=0

## Protected Member Functions

void | setMarkInterfaceExtensionDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateMarkInterfaceExtension

## Detailed Description

This is an interface for custom extensions of the MarkInterface.

It allows the developer to set pixmaps for custom marks and to indicate which marks are settable by the user, for example (in kate), as actions in the iconborder's popup menu.

Definition at line 39 of file markinterfaceextension.h.

The documentation for this class was generated from the following files:

- markinterfaceextension.h
- markinterfaceextension.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:16 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003